Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233336 - Booting Xen kernel on HP Proliant ML110 causes instant soft lock
Summary: Booting Xen kernel on HP Proliant ML110 causes instant soft lock
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 18:11 UTC by Mike Bremford
Modified: 2009-12-14 20:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:01:04 UTC


Attachments (Terms of Use)

Description Mike Bremford 2007-03-21 18:11:51 UTC
Attempting to boot the Xen kernel from FC6 (kernel-xen-2.6.19-1.2911.6.5.fc6) causes an almost 
immediate lockup on this hardware. The boot messages are:

(XEN trace buffers disabled)
Red hat nash starting
<pause>
Detected soft lock on CPU#0

Hardware wise, it's an HP Proliant ML110 G3 machine with nothing unusual except for an Adaptec 
2410SA SATA RAID card, which works fine with the regular FC6 and earlier kernels back to FC3. I've 
tried "ignorebiostables" and "nolapic" as well as the grub options set by the fedora package, which are:

  /boot/vmlinuz-2.6.19-1.2911.6.5.fc6xen ro root=LABEL=/ noapic acpi=off quiet selinux=0

(for what it's worth, I installed this by first upgrading to FC6 and running "yum upgrade" - all working 
fine - then following the steps outlined in the FedoraXenQuickstartFC6 - ie I ran "yum install kernel-
xen xen virt-manager")

Here's /proc/cpuinfo - if there's anything else I can do or provide please let me know.

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 1
cpu MHz         : 3000.866
cache size      : 1024 KB
physical id     : 0
siblings        : 1
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi 
mmx fxsr sse sse2 ss ht tm pbe constant_tsc up pni monitor ds_cpl cid xtpr
bogomips        : 6003.47
clflush size    : 64

Comment 1 Red Hat Bugzilla 2007-07-25 01:39:41 UTC
change QA contact

Comment 2 Chris Lalancette 2008-02-27 00:01:04 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.